# Note that this is NOT a relocatable package

%define ver	5.4.0
%define rel 1

Summary: HTTP library of common code
Name: w3c-libwww
Version: %ver
Release: %rel
License: W3C (see: http://www.w3.org/Consortium/Legal/copyright-software.html)
Group: System Environment/Libraries
Source: http://www.w3.org/Library/Distribution/w3c-libwww-%{ver}.tgz
Patch0: w3c-libwww-5.2.8-destdir.patch
Patch1: w3c-libwww-5.3.2-incdir.patch
URL: http://www.w3.org/Library
BuildRoot: /var/tmp/%{name}-root
Icon: Lib48x.gif

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww.
Group: Development/Libraries
Requires: w3c-libwww = %{version}

%description devel
Static libraries and header files for libwww, which are available as public
libraries.

%package apps
Summary: Applications built using Libwww web library: e.g. Robot, command line tool, etc.
Group: Applications/Internet
Requires: w3c-libwww
Icon: robot48x.gif

%description apps

Web applications built using Libwww: Robot, Command line tool, 
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of, 
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of 
Web sites that implement more than just HTTP GET (e.g. PUT, 
 POST, etc.).

The line mode browser is a minimal line mode web browser; 
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%prep
%setup -q
#%patch0 -p1 -b .destdir
%patch1 -p1 
libtoolize -c -f

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-regex --with-zlib
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%configure --enable-shared --with-gnu-ld --with-regex --with-zlib
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

( cd $RPM_BUILD_ROOT
  chmod +x ./usr/lib/lib{www*,xml*,md5}.so.0.*
  ln -s w3c-libwww/xmlparse.h ./usr/include/xmlparse.h
  mv ./%{_prefix}/include/wwwconf.h ./%{_prefix}/include/w3c-libwww/
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/lib/libwww*.so.*
%{_prefix}/lib/libxml*.so.*
%{_prefix}/lib/libmd5.so.*
%{_prefix}/lib/libpics.so.*
%{_prefix}/share/w3c-libwww

%doc *.html */*.html */*/*.html Icons/*/*.gif

%files apps
%defattr(-,root,root)
%{_prefix}/bin/webbot
%{_prefix}/bin/w3c

%files devel
%defattr(-,root,root)
%{_prefix}/bin/libwww-config
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so

%{_prefix}/include/w3c-libwww
%{_prefix}/include/xmlparse.h

%changelog
* Tue Jul 23 2002 Harald Hoyer <harald@redhat.de> 5.4.0-1
- removed prestripping

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 20 2002 Harald Hoyer <harald@redhat.de>
- fixed --cflags (#59503)

* Wed Jan 23 2002 Harald Hoyer <harald@redhat.de> 5.3.2-4
- moved wwwconf.h in w3c-libwww subdir #58060
- added libpics.so.* #58433

* Mon Jan 07 2002 Harald Hoyer <harald@redhat.com> 5.3.2-2
- added wwwconf.h (#58060)

* Thu Dec 13 2001 Harald Hoyer <harald@redhat.com>
- fix for #55526

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- make devel package version dependant

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild for 7.2.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- added patch to toplevel Makefile.am to honor DESTDIR
- use "make DESTDIR=$RPM_BUILD_ROOT install"

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.1.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
